# frozen_string_literal: true

require 'litbuild/blueprint'

module Litbuild
  class Narrative < Blueprint
    def self.directory_name
      'narratives'
    end

    def accept(visitor:)
      super
      visitor.visit_narrative(narrative: self)
    end
  end
end
